summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2020-03-02 18:28:20 -0500
committerJune McEnroe <june@causal.agency>2020-03-02 18:28:20 -0500
commit84e30bfd69ecca1e65488cd857a66ed347133aaf (patch)
treefe9c3e205288e1b2e624590e387cd1ff4b7fbcf7
parentReplace .mk files with configure script (diff)
downloadpounce-84e30bfd69ecca1e65488cd857a66ed347133aaf.tar.gz
pounce-84e30bfd69ecca1e65488cd857a66ed347133aaf.zip
Clean up configure script a bit
I still hate that any of this is necessary...
Diffstat (limited to '')
-rwxr-xr-xconfigure39
1 files changed, 20 insertions, 19 deletions
diff --git a/configure b/configure
index 7d1e424..75f2767 100755
--- a/configure
+++ b/configure
@@ -1,14 +1,22 @@
 #!/bin/sh
 set -eu
 
+base='-lcrypt'
+libs='libcrypto libtls'
+
+exec >config.mk
+
 case "$(uname)" in
+	(Darwin)
+		base=''
+		;;
 	(FreeBSD)
 		if ! pkg info -e libressl; then
-			echo 'LibreSSL required'
+			echo 'LibreSSL required' >&2
 			exit 1
 		fi
 		prefix=$(pkg query '%p' libressl)
-		cat >config.mk <<-EOF
+		cat <<-EOF
 		MANDIR = \${PREFIX}/man
 		CFLAGS += -I${prefix}/include
 		CFLAGS += -D'OPENSSL_BIN="${prefix}/bin/openssl"'
@@ -16,28 +24,21 @@ case "$(uname)" in
 		EOF
 		exit
 		;;
+	(Linux)
+		cat <<-EOF
+		CFLAGS += -D_GNU_SOURCE -D'CERTBOT_PATH="/etc/letsencrypt"'
+		LDLIBS_calico = \${LDLIBS}
+		RCS =
+		DIRS =
+		EOF
+		;;
 esac
 
-libs='libcrypto libtls'
 pkg-config --print-errors $libs
 
-cat >config.mk <<EOF
+cat <<EOF
 CFLAGS += $(pkg-config --cflags $libs)
 CFLAGS += -D'OPENSSL_BIN="$(pkg-config --variable=prefix openssl)/bin/openssl"'
 LDFLAGS += $(pkg-config --libs-only-L $libs)
-LDLIBS = -lcrypt $(pkg-config --libs-only-l $libs)
+LDLIBS = $base $(pkg-config --libs-only-l $libs)
 EOF
-
-case "$(uname)" in
-	(Darwin)
-		echo 'LDLIBS := ${LDLIBS:-lcrypt=}' >>config.mk
-		;;
-	(Linux)
-		cat >>config.mk <<-EOF
-		CFLAGS += -D_GNU_SOURCE -D'CERTBOT_PATH="/etc/letsencrypt"'
-		LDLIBS_calico = $(pkg-config --libs-only-l libcrypto)
-		RCS =
-		DIRS =
-		EOF
-		;;
-esac
ss='logheader'>2021-02-09Add volume control bindings to cwmJune McEnroe sndioctl is nice and easy. 2021-02-09Use w3m to open other URLsJune McEnroe 2021-02-09Disable mouse mode in xtermJune McEnroe I do not ever want to use this feature. 2021-02-09Add pbcopy, pbpaste, open dispatch scriptsJune McEnroe 2021-02-09Use flags for pbd client behaviourJune McEnroe 2021-02-08Add macOS-like copy and paste to xtermJune McEnroe 2021-02-08Only update clock script every minuteJune McEnroe 2021-02-08Use 4M- for window resizing in cwmJune McEnroe 2021-02-08Tweak trackpad scaling, mouse accelerationJune McEnroe This feels more comfortable. 2021-02-08Use xsel in up and add it do install.shJune McEnroe 2021-02-07Swap root window coloursJune McEnroe 2021-02-07Add -X flag to install X stuff on OpenBSDJune McEnroe 2021-02-07Adjust brightness by smaller incrementsJune McEnroe 2021-02-07Fix cwm window cycling, move big by defaultJune McEnroe 2021-02-07Use class names for Foreground, Background, BorderColorJune McEnroe I'm not really sure what difference this makes, but it seems like the right thing to do to be generic? 2021-02-07Add simple battery status and clock to xsessionJune McEnroe I love how simple this is. 2021-02-07Set cursor theme and sizeJune McEnroe 2021-02-07Use scrot for up -s if no screencaptureJune McEnroe Still missing putting the URL in an X selection. 2021-02-07Enable mouse acceleration in XJune McEnroe 2021-02-07Set colours for Xt and cwmJune McEnroe And increase XTerm internalBorder. 2021-02-07Set urgency on bell in xtermJune McEnroe 2021-02-07Add bindings for brightness controlJune McEnroe Weirdly the Fn key doesn't change how the F row registers... I wonder if I can do something about that. 2021-02-07Set X key repeat rateJune McEnroe 2021-02-07Bump font size to 12June McEnroe 11 is what I use on macOS, but I feel like my eyes are working harder here. 2021-02-07Fully configure and rebind cwmJune McEnroe This is sort of a mix of trying to emulate macOS somewhat for my muscle memory and just rebinding some of the cwm defaults to use 4- rather than M-. 2021-02-07Add BintiJune McEnroe 2021-02-07Finish configuring xtermJune McEnroe 2021-02-06Enable tapping, reverse scroll, set scaling in wsconsctlJune McEnroe 2021-02-06Set root window to black on purple snowJune McEnroe 2021-02-06Add xmodmap configurationJune McEnroe 2021-02-06Add initial OpenBSD X configurationJune McEnroe cwm still needs a lot more rebinding, and I need to actually look at its other options. xterm definitely still needs some configuration, but I at least managed to get it to use a decent looking font. Very happy that OpenBSD includes Luxi Mono, which is what my usual font, Go Mono, is based on anyway. Still missing is xmodmap and such. 2021-02-06Add xterm output to schemeJune McEnroe